Skip to main content
GET
TWAP orders of one address

Authorizations

X-API-Key
string
header
required

Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.

Path Parameters

user_address
string
required

User address (0x + 40 hex)

Query Parameters

status
enum<string>
default:all

TWAP status filter

Available options:
activated,
finished,
terminated,
all
coin
string | null

Filter by coin

hours
integer | null

Window in hours

Required range: 1 <= x <= 720
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0
order
enum<string>
default:DESC
Available options:
ASC,
DESC

Response

200 - application/json

OK

success
boolean
message
string
data
object[]
total_count
integer | null
next_cursor
string | null
has_more
boolean | null